Subject: Re: [SWIPL] beginners question

From: Bill Hollingsworth <[email-masked]>
Date: Mon, 30 Apr 2001 19:12:52 -0400

At 07:27 PM 4/30/2001 +0100, leopando wrote:

>I am using WinProlog 4.040 and I want to change the text heap and program
>heap configurations.  Im using online help files and have tried using the
>predicate switch/2 eg
>
>         switch(/P,4000), % program heap to 4000
>         switch(/H,1000), % text heap to 1000
>
>coz the help files refer to the text and heap command line switches as
>"/H" and "/P" respectively.  Could someone please tell me how to use

I think you are referring to LPA-Prolog. In this case /H and /P are only 
command line switches and do not refer to predicates in  Prolog. Look at 
the free/9 predicate for more information about these. free/9 tells you how 
much space is available for each memory type. The help section is very good 
at explaining them.

Bill Hollingsworth
Computer Science Department
The University of Georgia
http://www.billnet.org